/*
Theme Name:   	Purgenesis US
Theme URI:    	https://github.com/stuartduff/storefront-child-theme
Author:       	Protected.CA Inc.
Author URI:     https://www.protected.ca
Template:     	storefront
Description:  	Purgenesis US WooCommerce StoreFront Child Theme
Version:      	1.0.0
Text Domain:  	storefront
*/

/*
 * Add your own custom css below this text.
 */

@import url('https://fonts.googleapis.com/css?family=Open+Sans');
@font-face {
	font-family: WeblySleek;
	src: url(/wp-content/themes/storefront-purgenesis-us/assets/fonts/weblysleek_ui_normal-webfont.woff2);
}
body { font-family: 'Segoe UI', 'Open Sans'; }
li#wp-admin-bar-wp-logo,li#wp-admin-bar-comments { display: none; }

a:focus, .focus a {
	outline: none !important;
}

input:focus, .focus input {
	outline: 1px solid #076d2e;
}

a {
	text-decoration: none !important;
}

#fixed-header {
	position: fixed;
	width: 100%;
	top: 0px;
	z-index: 1;
}

#masthead {
	max-width: 1200px;
}

#purgenesis-header {
	margin-top: 178px;
}

.home.blog .site-header, .home.page:not(.page-template-template-homepage) .site-header, .home.post-type-archive-product .site-header { margin-bottom: 0; }

.skip-link { display: none; }
#purgenesis-header { display: none; }

/* Breadcrumbs */
.storefront-breadcrumb {
	margin-bottom: 0;
	margin-right: auto;
	margin-left: auto;
}

/* Right-Aligned Black Menu */
.primary-navigation {
	background-color: black;
	background-image: none;
	text-align: right;
}
.site-header { border-bottom: none; }
.secondary-navigation { display: none; }

a:focus, button:focus, .button.alt:focus, input:focus, textarea:focus, input[type="button"]:focus, input[type="reset"]:focus, input[type="submit"]:focus, input[type="email"]:focus, input[type="tel"]:focus, input[type="url"]:focus, input[type="password"]:focus, input[type="search"]:focus {
        outline-color: #208647;

}

a, a:visited, a:focus, a:hover {
        color: #208647;
        text-decoration: none !important;
        outline: none;
}

a.button, a.added_to_cart {
	color: #fff;
}

/* 404 Page Menu Links */
#menu-404, #menu-404 a {
	color: #208647;
}
#menu-404 li {
	list-style-type: none;
}

/* White Links + Bold Highlights for Menu Items */
.woocommerce-active .main-navigation ul li a, .site-title a, ul.menu li a, .site-branding h1 a, .site-footer .storefront-handheld-footer-bar a:not(.button), button.menu-toggle, button.menu-toggle:hover, .handheld-navigation .dropdown-toggle { color: #dddddd; }
.woocommerce-active .main-navigation ul li a:hover, .main-navigation ul li:hover > a, .site-title a:hover, a.cart-contents:hover, .site-header-cart .widget_shopping_cart a:hover, .site-header-cart:hover > li > a, .site-header ul.menu li.current-menu-item > a { color: #208647; }

/* Thinner Nav Bar */
.main-navigation ul.menu > li > a, .main-navigation ul.nav-menu > li > a {
	padding: 0.3em 0.7em;
	font-size: 16px;
}

/* Disable Cart Dropdown */
#site-header-cart { display: none !important; }

/* Disable Product Sorting */
form.woocommerce-ordering, p.woocommerce-result-count { display: none !important; }

/* Disable Site Search */
.entry-header, .woocommerce-products-header, .site-search { display: none !important; }

/* Logo Styling */
.storefront-secondary-navigation.woocommerce-active .site-header .site-branding { width: auto; }
.site-header .site-branding { margin-left: 10px; margin-top: 10px; }
.site-header .col-full {
	background-image: url(/wp-content/themes/storefront-purgenesis-us/assets/images/header-bg.png);
	background-repeat: no-repeat;
	background-position: right top;
}
.storefront-primary-navigation .col-full {
	background-image: none;
}

/* Green Side Bar */
/* .site-header, .storefront-breadcrumb, #content, #purgenesis-header, #purgenesis-footer { */
.site-header, .storefront-breadcrumb, #content, #purgenesis-header, #purgenesis-footer, .site-footer, #footer-logos {
	border-left: 15px solid #208647;
	max-width: 1200px;
	margin-left: auto;
	margin-right: auto;
}

/* Turn off category display */
.product_meta { display: none; }

/* Product Page Styling */
ul.products li.product {
	text-align: left;
}

ul.products li.product img {
	float: left;
	width: 50%;
	padding-right: 20px;
}

ul.products li.product .woocommerce-loop-product__title {
	text-transform: uppercase;
	padding-top: 20px;
	font-size: 28px;
	clear: none;
}

.purgenesis-product-left {
	overflow: auto;
}

.purgenesis-product-desc {
	padding-bottom: 20px;
	color: #6d6d6d;
	text-align: left;
}

.fixed-quantity { padding-left: 20px; }
.shop_table .product-subtotal, .cart_totals .shop_table td, .woocommerce-checkout-review-order-table td { text-align: right; }
.woocommerce-checkout-review-order-table td.product-name { text-align: left; }
.woocommerce-remove-coupon { float: left; }
.woocommerce-info { background-color: #208647; }

#primary {
	float: none;
	width: 100%;
}

#site-navigation button.menu-toggle {
	margin-top: 36px;
	margin-right: 20px;
	height: 35px;
	margin-bottom: 25px;
	padding-right: 5px;
	background-color: #208647;
	border-color: #006627;
}

button.menu-toggle::before, button.menu-toggle span::before, button.menu-toggle::after {
	background-color: #fff;
}

.handheld-navigation {
	background: #000;
}

.site-footer .menu {
	display: flex;
	flex-flow: column wrap;
	height: 80px;
	margin-left: auto;
	margin-right: auto;
	padding-left: 48px;
	padding-right: 24px;
	text-align: left;
	list-style-type: none;
}

.site-footer .menu a:not(.current-menu-item) {
	color: white;
}

.site-footer .menu a:hover {
	color: #208647;
}

.site-footer .menu .current-menu-item a {
	color: #208647;
}

.site-footer .menu li {
	padding-left: 64px;
}

.site-footer hr {
	width: 90%;
	margin-left: auto;
	margin-right: auto;
}

#footer-logos {
	display: flex;
	flex-flow: row wrap;
	justify-content: space-between;
	align-items: center;
	padding: 10px 0px 10px 20px;
}

#altius-logo {
	width: 242px;
	height: 90px;
}

#devonian-logo {
	width: 150px;
	height: 77px;
}

#cda-logo {
	width: 120px;
	float: left;
}

#cda-text {
	float: right;
	text-align: left;
	max-width: 185px;
	color: #323946;
	font-size: 0.8em;
	line-height: 1.5;
	padding-left: 10px;
}

#moneris-logo {
	display: inline;
	padding-top: 15px;
	width: 100px;
}

/* Register / Login Page */
#register-or-login h2 {
	text-align: left;
}
#register-button {
	float: left;
	width: 50%;
}
#login-button {
	float: left;
	width: 50%;
}

/* Pro Header */
#purgenesis-pro-header {
	display: block;
	margin: 80px 120px 4px 4px;
	font-weight: 300;
	float: right;
	font-size: 26px;
	text-shadow: 0px 0px 8px white;
}

/* Full-Width Panel Styling */
.woocommerce-active .site-header .main-navigation { width: 100%; }
.site-header { margin-top: 0px; padding-top: 0; }
.site-footer { text-align: center; max-width: 1200px; margin-left: auto; margin-right: auto; padding-bottom: 25px; }
.site-header .col-full, .site-footer .col-full { padding: 0; max-width: 100%; }
@media (min-width: 768px) {
	.woocommerce-active .site-header .site-branding img { max-width: 360px; }
	/* Shop Page Header */
	#purgenesis-header {
		display: block;
		height: 100px;
		background-image: url(/wp-content/themes/storefront-purgenesis-us/assets/images/wood.png);
		background-repeat: no-repeat;
		background-size: cover;
	}
	#purgenesis-footer-img {
		width: 100%;
	}
	/* Header Text */
	#purgenesis-header-text {
		color: black;
		margin-left: auto;
		margin-right: auto;
		padding-top: 5px;
		font-size: 1.5em;
		text-align: center;
		background-color: rgba(255,255,255,0.7);
		min-width: 750px;
		width: 75%;
		height: 50px;
		font-weight: 100;
	}
}
@media (max-width: 600px) {
	.site-header .col-full { background-image: none; }
	ul.products li.product img {
		float: none;
		text-align: center;
		padding: 0px;
		margin: 0px;
		margin-left: auto;
		margin-right: auto;
	}
	ul.products li.product {
		text-align: center;
	}
	ul.products li.product .woocommerce-loop-product__title {
		text-transform: uppercase;
		padding-top: 10px;
		font-size: 16px;
		clear: none;
	}
}
@media (max-width: 66.4em) {
	.site-header .col-full, .site-footer .col-full { margin: 0; width: 100%; }
	#masthead { padding-bottom: 0; }
}
@media (max-width: 767px) {
	#purgenesis-pro-header {
		font-weight: 300;
		font-size: 20px;
		float: left;
		margin-top: 35px;
		margin-left: 20px;
		padding-left: 20px;
		border-left: 1px solid #888888;
		text-shadow: 0px 0px 8px white;
		color: #666;
	}
	#footer-logos {
		flex-flow: column nowrap;
		align-items: center;
		justify-content: center;
		padding: 0px 0px 20px 0px;
	}
	#altius-logo, #devonian-logo, #cda-logo, #cda-text {
		margin-top: 40px;
	}
	.site-footer .menu {
		display: flex;
		width: 100%;
		height: auto;
		padding: 0px;
		align-items: center;
		flex-flow: column wrap;
		list-style-type: none;
	}
	.site-footer .menu li {
		padding: 0px;
	}
	#content {
		margin-top: 40px;
		padding-top: 20px;
	}
	h2 {
		font-size: 22px;
		text-align: center;
		padding-top: 30px;
	}
	#register-button {
		float: none;
		width: 100%;
	}
	#login-button {
		padding-top: 10px;
		float: none;
		width: 100%;
	}
}
@media (max-width: 570px) {
	#purgenesis-pro-header {
		position: absolute;
		top: 40px;
		left: 12px;
		font-size: 16px;
		border: none;
		color: #666;
	}
}

#masthead {
        overflow: hidden;
}

.site-header::before {
        content: "US STAGING";
        overflow: hidden;
        font-size: 13px;
        font-weight: bold;
        display: block;
        position: absolute;
        text-align: center;
        background-color: #700;
        color: #fff;
        width: 150px;
        top: 24px;
        right: -40px;
        transform: rotate(45deg);
        z-index: 0;
        text-decoration: none;
        text-shadow: 0px 0px 4px #f00;
}
